%define	name	bumprace
%define	version	1.5.3
%define release	%mkrel 35

Summary:	Drive the ship to exit
Name:		%{name}
Epoch:		1
Version:	%{version}
Release:	%{release}
Source0:	http://www.linux-games.com/bumprace/bumprace-%{version}.tar.gz
Source5:	%{name}-16.png
Source6:	%{name}-32.png
Source7:	%{name}-48.png
License:	GPLv2+
Group:		Games/Arcade
Url:		http://www.linux-games.com/bumprace
BuildRequires:	SDL_mixer-devel SDL_image-devel

%description
BumpRace is a simple arcade game. You've to get from the start to the finish
line without crashing into deadly blocks. This game is really easy to learn!

%prep
%setup -q

%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Bumprace
Comment=%{summary}
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -D -m644 %SOURCE6 %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE5 %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE7 %{buildroot}%{_liconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS FAQ NEWS README
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_datadir}/applications/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1:1.5.3-35.mga3
+ Revision: 347225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 stormi <stormi> 1:1.5.3-34.mga3
+ Revision: 339887
- rebuild for mga3

* Thu Sep 29 2011 fwang <fwang> 1:1.5.3-33.mga2
+ Revision: 150149
- cleanup br

* Mon May 09 2011 misc <misc> 1:1.5.3-33.mga1
+ Revision: 96665
- rebuilt
- remove redundant requires ( esound-devel, and texinfo )

  + stormi <stormi>
    - clean spec

* Wed Jan 26 2011 stormi <stormi> 1:1.5.3-32.mga1
+ Revision: 41511
- remove mdv specific stuff
- imported package bumprace

